Search:

# CWIS Developers Documentation

Public Member Functions | Public Attributes

# Session Class Reference

## Public Member Functions
| Session (&$DB)
| RegisterVariable ($VariableName, $Value=NULL)
| PassVariable ($VariableName, $Value=NULL)
| UnregisterVariable ($VariableName)
| IsRegistered ($VariableName)
| IsPassed ($VariableName)
| Get ($VariableName)
| GetFromAllSessions ($VariableName)
| SaveState ()
| DeleteExpiredSessions ()
## Public Attributes
| $DB
| $SessionId
| $SessionVariables
| $SaveVarFlags
| $TempVarFlags
| $SessionExpirationTime = 180

List of all members.

## Detailed Description

Definition at line 22 of file Axis--Session.php.

## Member Function Documentation

Session::DeleteExpiredSessions | ( | ) |

Definition at line 254 of file Axis--Session.php.

References $DB, and $SessionId.

Referenced by GetFromAllSessions(), and SaveState().

Here is the caller graph for this function:

Session::Get | ( | $ | VariableName ) |

Definition at line 152 of file Axis--Session.php.

Referenced by User::User().

Here is the caller graph for this function:

Session::GetFromAllSessions | ( | $ | VariableName ) |

Definition at line 165 of file Axis--Session.php.

References $DB, and DeleteExpiredSessions().

Referenced by UserFactory::GetLoggedInUsers().

Here is the caller graph for this function:

Session::IsPassed | ( | $ | VariableName ) |

Definition at line 145 of file Axis--Session.php.

Session::IsRegistered | ( | $ | VariableName ) |

Definition at line 140 of file Axis--Session.php.

Session::PassVariable | ( | $ | VariableName,
|  | $ | Value = `NULL`
| ) |  |

Definition at line 108 of file Axis--Session.php.

Session::RegisterVariable | ( | $ | VariableName,
|  | $ | Value = `NULL`
| ) |  |

Definition at line 93 of file Axis--Session.php.

Referenced by User::Login().

Here is the caller graph for this function:

Session::SaveState | ( | ) |

Definition at line 207 of file Axis--Session.php.

References DeleteExpiredSessions().

Session::Session | ( | &$ | DB ) |

Definition at line 26 of file Axis--Session.php.

References $DB.

Session::UnregisterVariable | ( | $ | VariableName ) |

Definition at line 130 of file Axis--Session.php.

Referenced by User::Logout().

Here is the caller graph for this function:

## Member Data Documentation

Session::$DB

Definition at line 190 of file Axis--Session.php.

Referenced by DeleteExpiredSessions(), GetFromAllSessions(), and Session().

Session::$SaveVarFlags

Definition at line 199 of file Axis--Session.php.

Session::$SessionExpirationTime = 180

Definition at line 205 of file Axis--Session.php.

Session::$SessionId

Definition at line 193 of file Axis--Session.php.

Referenced by DeleteExpiredSessions().

Session::$SessionVariables

Definition at line 196 of file Axis--Session.php.

Session::$TempVarFlags

Definition at line 202 of file Axis--Session.php.

The documentation for this class was generated from the following file:

- Axis--Session.php